{% extends 'main.html' %}

{% load static %}

{% block content %}

<!-- start page title -->
<div class="row">
    <div class="col-12">
        <div class="page-title-box">
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Hyper</a></li>
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Forms</a></li>
                    <li class="breadcrumb-item active">Form Validation</li>
                </ol>
            </div>
            <h4 class="page-title">Project details</h4>
        </div>
    </div>
</div>
<!-- end page title -->

<div class="row mb-2">
    <div class="col-sm-4">
        <a href="{% url 'task_create' %}" class="btn btn-danger rounded-pill mb-3"><i class="mdi mdi-plus"></i> Create Task</a>
    </div>
</div> 
<!-- end row-->

<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <div class="tab-content">
                    <div class="row">
                        <div class="col-12">

                            <!-- Form Start -->
                            <form action="" method="post" class="">
                                {% csrf_token %}
                                <div class="mb-3">
                                    <label class="form-label" for="{{ form.name.id_for_label }}">Project Name</label>
                                    {{ form.name }}
                                    <div class="valid-feedback">
                                        Looks good!
                                    </div>
                                </div>
                                <div class="mb-3 pt-1">
                                    <label class="form-label" for="{{ form.description.id_for_label }}">Description</label>
                                    {{ form.description }}
                                    <div class="valid-feedback">
                                        Looks good!
                                    </div>
                                </div>
                                <div class="mb-3 pt-1">
                                    <label class="form-label" for="{{ form.start_date.id_for_label }}">Start Date</label>
                                    <input type="date" class="form-control" id="{{ form.start_date.id_for_label }}" name="{{ form.start_date.html_name }}" value="{{ form.start_date.value }}">
                                    <div class="invalid-feedback">
                                        Please provide a valid state.
                                    </div>
                                </div>
                                <div class="mb-3 pt-1">
                                    <label class="form-label" for="{{ form.due_date.id_for_label }}">Due Date</label>
                                    <input type="date" class="form-control" id="{{ form.due_date.id_for_label }}" name="{{ form.due_date.html_name }}" value="{{ form.due_date.value }}">
                                    <div class="invalid-feedback">
                                        Please provide a valid zip.
                                    </div>
                                </div>
                                <div class="mb-3 pt-1">
                                    <label class="form-label" for="{{ form.owner.id_for_label }}">Project Owner</label>
                                    {{ form.owner }}
                                    <div class="invalid-feedback">
                                        Please provide a valid city.
                                    </div>
                                </div>
                                <div class="mb-3 pt-1">
                                    <label class="form-label" for="{{ form.collaborators.id_for_label }}">Collaborators</label>
                                    {{ form.collaborators }}
                                    <div class="invalid-feedback">
                                        Please provide a valid city.
                                    </div>
                                </div>
                                <div class="mb-3 pt-1">
                                    <label class="form-label" for="{{ form.status.id_for_label }}">Status</label>
                                    {{ form.status }}
                                    <div class="invalid-feedback">
                                        Please provide a valid city.
                                    </div>
                                </div>
                                <button class="btn btn-primary mt-2" type="submit">Submit form</button>
                            </form>
                        </div> <!-- end col-lg-6-->
                        <!-- Form End -->
                        {% for task in tasks %}
                            <div class="col-lg-6 col-xxl-3">
                                <!-- task card -->
                                <div class="card d-block">
                                    <div class="card-body">
                                        <div class="dropdown card-widgets">
                                            <a href="#" class="dropdown-toggle arrow-none" data-bs-toggle="dropdown" aria-expanded="false">
                                                <i class="dripicons-dots-3"></i>
                                            </a>
                                            <div class="dropdown-menu dropdown-menu-end">
                                                <!-- item-->
                                                <a href="" class="dropdown-item"><i class="mdi mdi-pencil me-1"></i>Edit</a>
                                                <!-- item-->
                                                <a href="javascript:void(0);" class="dropdown-item"><i class="mdi mdi-delete me-1"></i>Delete</a>
                                                <!-- item-->
                                                <!-- <a href="javascript:void(0);" class="dropdown-item"><i class="mdi mdi-email-outline me-1"></i>Invite</a> -->
                                                <!-- item-->
                                                <!-- <a href="javascript:void(0);" class="dropdown-item"><i class="mdi mdi-exit-to-app me-1"></i>Leave</a> -->
                                            </div>
                                        </div>
                                        <!-- project title-->
                                        <h4 class="mt-0">
                                            <a href="" class="text-title">{{ task.name }}</a>
                                        </h4>
                                        <!--  -->
                                        <!--  -->
                                        {% if task.status == 'PG' %}
                                            <div class="badge bg-info">{{ task.get_status_display }}</div>
                                        {% elif task.status == 'IP' %}
                                            <div class="badge bg-primary">{{ task.get_status_display }}</div>
                                        {% elif task.status == 'BH' %}
                                            <div class="badge bg-danger">{{ task.get_status_display }}</div>
                                        {% else %}
                                            <div class="badge bg-success">{{ task.get_status_display }}</div>
                                        {% endif %}
                                        <!--  -->
                                        <!--  -->
                                        <p class="text-muted font-13 my-3">{{ task.description }}...<a href="javascript:void(0);" class="fw-bold text-muted"> view more</a>
                                        </p>
                    
                                        <!-- project detail-->
                                        <div id="tooltip-container">
                                            <!-- <a href="javascript:void(0);" data-bs-container="#tooltip-container" data-bs-toggle="tooltip" data-bs-placement="top" title="Mat Helme" class="d-inline-block">
                                                <img src="assets/images/users/avatar-6.jpg" class="rounded-circle avatar-xs" alt="friend">
                                            </a>
                    
                                            <a href="javascript:void(0);" data-bs-container="#tooltip-container" data-bs-toggle="tooltip" data-bs-placement="top" title="Michael Zenaty" class="d-inline-block">
                                                <img src="assets/images/users/avatar-7.jpg" class="rounded-circle avatar-xs" alt="friend">
                                            </a>
                    
                                            <a href="javascript:void(0);" data-bs-container="#tooltip-container" data-bs-toggle="tooltip" data-bs-placement="top" title="James Anderson" class="d-inline-block">
                                                <img src="assets/images/users/avatar-8.jpg" class="rounded-circle avatar-xs" alt="friend">
                                            </a> -->
                                        </div>
                                    </div> <!-- end card-body-->
                                    <ul class="list-group list-group-flush">
                                        <li class="list-group-item p-3">
                                            <!-- project progress-->
                                            <p class="mb-2 fw-bold">Progress <span class="float-end">{{ task.time_spent }}%</span></p>
                                            <div class="progress progress-sm">
                                                <div class="progress-bar" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%;">
                                                </div><!-- /.progress-bar -->
                                            </div><!-- /.progress -->
                                        </li>
                                    </ul>
                                </div> <!-- end card-->
                            </div> <!-- end col -->
                        {% endfor %}
                    </div>
                </div> <!-- end tab-content-->
            </div> <!-- end card-body-->
        </div> <!-- end card-->
    </div> <!-- end col-->
</div>
<!-- end row -->


<!-- bundle -->
<script src="{% static 'js/vendor.min.js' %}"></script>
<script src="{% static 'js/app.min.js' %}"></script>


{% endblock %}
